%define distfile s3ssrc.zip

Summary: Utitity to  manage the output devices on an S3 Savage chip
Name: s3switch
Version: 20020308
Release: 1
ExclusiveArch: i386 i586 i686
Source: ftp://ftp.probo.com/pub/
URL: http://www.probo.com/timr/savage40.html
Vendor: Tim Roberts <timr@probo.com>
Copyright: free
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
BuildPreReq: unzip

%description
The S3 Savage chips have the ability to send their output to a variety of
different devices. The Savage3D can display to a standard CRT or to a TV.
The Savage4 and Savage2000 can display to a standard CRT or through a
digital interface to an LCD panel. The Savage/MX and Savage/IX can ship
to any two of those three.

The s3switch utility is used to select the devices to be used, and the
format of the TV signal.

%prep
%setup -T -c
unzip ${RPM_SOURCE_DIR}/%{distfile}

%build
rm -f *.o
make "CC=gcc ${RPM_OPT_FLAGS}"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install s3switch ${RPM_BUILD_ROOT}%{_bindir}
install s3switch.1x ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0644, root, root, 0755)
%attr(4755, root, root) %{_bindir}/s3switch
%{_mandir}/man1/s3switch*
%changelog
* Fri Oct 05 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta
- Moved to RAR v2.90
* Fri May 04 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1
* Tue Apr 24 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linx 7.0
* Sat Mar 10 2001 Peter Soos <sp@osb.hu>
- Moved to RAR v2.80
- Updated some SFX modules too
- SFX modules are in /usr/lib (see the documentation for the reasons)
* Fri Jun 23 2000 Peter Soos <sp@osb.hu>
- Moved to RAR v2.71
- Updated some SFX modules too
* Thu May 25 2000 Peter Soos <sp@osb.hu>
- Moved to RAR v2.70
- Updated some SFX modules too
* Mon Nov 08 1999 Peter Soos <sp@osb.hu>
- Moved to RAR v2.60
- Updated SFX modules too
* Wed Jun 02 1999 Peter Soos <sp@osb.hu>
- Added several SFX modules, see sfxread.txt
* Thu May 20 1999 Peter Soos <sp@osb.hu>
- Corrected some mistakes in the spec file
* Sun May 16 1999 Peter Soos <sp@osb.hu>
- Removed unrar from the package because it is now built as a separate package
- Removed the libc5 based sfx module from RAR v2.02
* Wed May 12 1999 Peter Soos <sp@osb.hu>
- Corrected the file and directory attributes to rebuild the package
  under RedHat Linux 6.0
* Tue Mar 09 1999 Peter Soos <sp@osb.hu>
- Moved to glibc based RAR v2.50 beta
- Kept the libc5 based sfx module from RAR v2.02
- Moved the unrar utility to separated package
